# Class ClassIdentifier

java.lang.Object
bsh.ClassIdentifier

public class ClassIdentifier extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClassIdentifier(Class clas)`

## Method Summary

Modifier and Type
Method
Description
`Class`
`getTargetClass()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassIdentifier

public ClassIdentifier(Class clas)

## Method Details

### getTargetClass

public Class getTargetClass()

### toString

public String toString()

Overrides:
  `toString` in class `Object`